Subject: Idacorp Enron Guaranty
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 9 Jun 2000 07:12:00 -0700 (PDT)

Cement:
Enclosed is the Enron Guaranty that we need executed in connection with an 
ISDA Master Agreement that we have finalized with Idacorp Energy Solutions 
LP.  We would like to have the Master become effective next week so would it 
be possible to have this signed next week?  If you have any questions, please 
call me or Susan Flynn.
Carol